package com.plannaplan.models;

import java.util.Date;
import java.io.InputStream;

public class ConfigData {
    private Date start;
    private Date end;
    private InputStream filestream;

    /*
     * ConfigData
     *
     * @param start when the configdata begins
     * @param end when the configdata ends
     * @param filestream where the filestream is
     */
    public ConfigData(Date start, Date end, InputStream filestream) {
        this.start = start;
        this.end = end;
        this.filestream = filestream;
    }

    /*
     * getFilestream
     *
     * @return filestream
     */
    public InputStream getFilestream() {
        return filestream;
    }

    /*
     * getEnd
     *
     * @return end
     */
    public Date getEnd() {
        return end;
    }

    /*
     * getStart
     *
     * @return start
     */
    public Date getStart() {
        return start;
    }

}
