package com.plannaplan.responses.models;

import com.plannaplan.entities.Commision;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(description = "Response shows information about commision.", value = "CommisionResponse")
public class CommisionResponse {
    @ApiModelProperty(value = "ID created by database")
    private Long id;

    @ApiModelProperty(value = "Timestamp where the user commit the commision")
    private String commisionDate;

    public CommisionResponse(Commision commision) {
        this.id = commision.getId();
        this.commisionDate = commision.getCommisionDate().toString();
    }

    public String getCommisionDate() {
        return commisionDate;
    }

    public Long getId() {
        return id;
    }

}
